@import '../../styles/variables.scss';

.button {
  padding: 10px 24px;

  display: flex;
  align-items: center;
  justify-content: center;

  border-radius: 24px;
  border: none;
  outline: none;
  cursor: pointer;

  font-family: 'Jost', sans-serif;
  font-weight: 400;

  color: #fff;
  background-color: $black;

  & > span {
    margin-right: 12px;
  }

  &:disabled {
    pointer-events: none;
    cursor: default;

    color: $gray-4;
    background-color: $disabled;
  }

  &:hover {
    background-color: $black-hover;
  }
}
